package models

import (
	"eta/eta_report/utils"
	_ "github.com/go-sql-driver/mysql"
	"time"

	"github.com/beego/beego/v2/client/orm"
)

func init() {

	_ = orm.RegisterDataBase("default", "mysql", utils.MYSQL_URL)
	orm.SetMaxIdleConns("default", 50)
	orm.SetMaxOpenConns("default", 100)
	db, _ := orm.GetDB("default")
	db.SetConnMaxLifetime(10 * time.Minute)

	// ETA默认库
	_ = orm.RegisterDataBase("eta", "mysql", utils.MYSQL_URL_ETA)
	orm.SetMaxIdleConns("eta", 50)
	orm.SetMaxOpenConns("eta", 100)

	etaDb, _ := orm.GetDB("eta")
	etaDb.SetConnMaxLifetime(10 * time.Minute)

	//注册对象
	orm.RegisterModel(
		new(Report),
		new(SmartReport),
	)
}
